;==========================================================
;
;
;   ██████╗  ██████╗ ██╗  ██╗   ██╗██████╗  █████╗ ██████╗
;   ██╔══██╗██╔═══██╗██║  ╚██╗ ██╔╝██╔══██╗██╔══██╗██╔══██╗
;   ██████╔╝██║   ██║██║   ╚████╔╝ ██████╔╝███████║██████╔╝
;   ██╔═══╝ ██║   ██║██║    ╚██╔╝  ██╔══██╗██╔══██║██╔══██╗
;   ██║     ╚██████╔╝███████╗██║   ██████╔╝██║  ██║██║  ██║
;   ╚═╝      ╚═════╝ ╚══════╝╚═╝   ╚═════╝ ╚═╝  ╚═╝╚═╝  ╚═╝
;
;
;   To learn more about how to configure Polybar
;   go to https://github.com/polybar/polybar
;
;   The README contains a lot of information
;
;==========================================================

[colors]
;background = ${xrdb:color0:#222}
background = #2e3436
background-alt = #444
;foreground = ${xrdb:color7:#222}
foreground = #dfdfdf
foreground-alt = #555
primary = #ffb52a
secondary = #e60053
alert = #bd2c40
green = #4be349
[bar/stealth]
;monitor = ${env:MONITOR:HDMI-1}
width = 100%
height = 18
;offset-x = 0%
;offset-y = 0%
radius = 0.0
fixed-center = true

background = ${colors.background}
foreground = ${colors.foreground}

line-size = 1
line-color = #f00

border-size = 0
border-color = #00000000

padding-left = 0
padding-right = 0

module-margin-left = 1
module-margin-right = 2

font-0 = Cantarell:size=10
;font-1 = fixed:pixelsize=10;1
font-1 = unifont:fontformat=truetype:size=8:antialias=false;0
;font-1 = siji:pixelsize=11;1
font-2 = FontAwesome:size=10

modules-left = i3
modules-center = memory cpu filesystem
modules-right = wlan eth battery pulseaudio alsa date powermenu

tray-position = right
tray-padding = 2
;tray-background = #0063ff

;wm-restack = bspwm
;wm-restack = i3

;override-redirect = true

;scroll-up = bspwm-desknext
;scroll-down = bspwm-deskprev

scroll-up = i3wm-wsnext
scroll-down = i3wm-wsprev

cursor-click = pointer
cursor-scroll = ns-resize

[module/xwindow]
type = internal/xwindow
label = %title:0:30:...%


[module/xkeyboard]
type = internal/xkeyboard
blacklist-0 = num lock

format-prefix = " "
format-prefix-foreground = ${colors.foreground-alt}
format-prefix-underline = ${colors.secondary}

label-layout = %layout%
label-layout-underline = ${colors.secondary}

label-indicator-padding = 2
label-indicator-margin = 1
label-indicator-background = ${colors.secondary}
label-indicator-underline = ${colors.secondary}

[module/filesystem]
type = internal/fs
interval = 25

mount-0 = /

label-mounted =  : %percentage_used%%
label-unmounted = %mountpoint% not mounted
label-unmounted-foreground = ${colors.foreground-alt}

[module/i3]
type = internal/i3
format = <label-state> <label-mode>
index-sort = true
wrapping-scroll = false

; Only show workspaces on the same output as the bar
;pin-workspaces = true

label-mode-padding = 2
label-mode-foreground = #000
label-mode-background = ${colors.primary}

; focused = Active workspace on focused monitor
label-focused = %index%
label-focused-background = ${colors.background-alt}
label-focused-padding = 2

; unfocused = Inactive workspace on any monitor
label-unfocused = %index%
label-unfocused-padding = 2

; visible = Active workspace on unfocused monitor
label-visible = %index%
label-visible-background = ${self.label-focused-background}
;label-visible-underline = ${self.label-focused-underline}
label-visible-padding = ${self.label-focused-padding}

; urgent = Workspace with urgency hint set
label-urgent = %index%
label-urgent-background = ${colors.alert}
label-urgent-padding = 2

; Separator in between workspaces
; label-separator = |


[module/xbacklight]
type = internal/xbacklight

format = <label> <bar>
label = BL

bar-width = 10
bar-indicator = ●
bar-indicator-foreground = #fff
bar-indicator-font = 2
bar-fill = ─
bar-fill-font = 2
bar-fill-foreground = #9f78e1
bar-empty = ─
bar-empty-font = 2
bar-empty-foreground = ${colors.foreground-alt}

[module/backlight-acpi]
inherit = module/xbacklight
type = internal/backlight
card = intel_backlight

[module/cpu]
type = internal/cpu
interval = 2
;format-prefix = " "
format-prefix-foreground = ${colors.foreground-alt}
label =  %percentage:2%%

[module/memory]
type = internal/memory
interval = 2
;format-prefix = " "
format-prefix-foreground = ${colors.foreground-alt}
;format-underline = #4bffdc
label =  %percentage_used%%

[module/wlan]
type = internal/network
interface = wlan0
interval = 3.0

format-connected = <ramp-signal> <label-connected>
;format-connected-underline = #9f78e1
label-connected = %{F#4be349} %{F-} %essid% %upspeed% %downspeed%
;label-connected-foreground = ${colors.green}
format-disconnected = <label-disconnected>
;format-disconnected-underline = ${self.format-connected-underline}
label-disconnected = %ifname% disconnected
;label-disconnected-foreground = ${colors.foreground-alt}

ramp-signal-0 = 
ramp-signal-1 = 
ramp-signal-2 = 
ramp-signal-3 = 
ramp-signal-4 = 
ramp-signal-foreground = ${colors.foreground-alt}

[module/eth]
type = internal/network
interface = eth0
interval = 3.0

;format-connected-underline = #55aa55
;format-connected-prefix = " "
format-connected-prefix-foreground = ${colors.foreground-alt}
label-connected =%{F#4be349}  %{F-} %local_ip% %upspeed% %downspeed%

format-disconnected = <label-disconnected>
;format-disconnected-underline = ${self.format-connected-underline}
label-disconnected =%{F#e30c05} %{F-} disconnected
;label-disconnected-foreground = ${colors.foreground-alt}

[module/date]
type = internal/date
interval = 5

date = %d-%m-%Y
date-alt = " %Y-%m-%d

time = %H:%M
time-alt = %H:%M:%S


format-prefix-foreground = ${colors.foreground-alt}
;format-underline = #0a6cf5

label =  %date% %time%

[module/pulseaudio]
type = internal/pulseaudio

format-volume = <label-volume> 
label-volume =   %percentage%%
;label-volume-foreground = ${root.foreground}
label-muted =  mute
label-muted-foreground = #666

[module/alsa]
type = internal/alsa

format-volume = <label-volume>
label-volume =  %percentage%%
label-volume-foreground = ${root.foreground}

;format-muted-prefix = " "
format-muted-foreground = ${colors.foreground-alt}
label-muted =  mute


[module/battery]
type = internal/battery
battery = BAT0
adapter = AC
full-at = 100

format-charging = <animation-charging> <label-charging>
;format-charging-underline = #ffb52a

format-discharging = <label-discharging>
;format-discharging-underline = ${self.format-charging-underline}

;format-full-prefix = " "
;format-full-prefix-foreground = ${colors.foreground-alt}
;format-full-underline = ${self.format-charging-underline}

;ramp-capacity-0 = 
;ramp-capacity-1 = 
;ramp-capacity-2 = 
;ramp-capacity-foreground = ${colors.foreground-alt}

animation-charging-0 = 
animation-charging-1 = 
animation-charging-2 = 
animation-charging-3 = %{F#4be349} 
;animation-charging-foreground = ${colors.foreground-alt}
animation-charging-framerate = 750

animation-discharging-0 = 
animation-discharging-1 = 
animation-discharging-2 = 
animation-discharging-3 = 
animation-discharging-4 = 
;animation-discharging-foreground = ${colors.foreground-alt}
animation-discharging-framerate = 750
label-charging = %percentage% %
label-discharging =  %percentage% %
label-full = %{F#4be349} %percentage% %

[module/powermenu]
type = custom/menu

;expand-right = true

format-spacing = 1

label-open = 
label-open-foreground = ${colors.secondary}
label-close = 
label-close-foreground = ${colors.foreground-alt}
label-separator = - 
label-separator-foreground = ${colors.foreground-alt}

menu-0-0 = reboot
menu-0-0-exec = systemctl reboot
menu-0-1 =   Shutdown
menu-0-1-exec = systemctl poweroff
menu-1-0 = attia
menu-1-0-exec = menu-open-0


;menu-2-0 = power off
;menu-2-0-exec = sudo poweroff
;menu-2-1 = cancel
;menu-2-1-exec = menu-open-0

[settings]
screenchange-reload = true
;compositing-background = xor
;compositing-background = screen
;compositing-foreground = source
;compositing-border = over
;pseudo-transparency = true

[global/wm]
margin-top = 5
margin-bottom = 5

; vim:ft=dosini
